Skip to content
BolderBolder Developers
Esc
↑↓navigate↵open⌘Jpreview

List shop blogs

Returns the shop’s blogs. A shop can have several, each with its own language; use a blog’s id as blog_id when creating posts, e.g. to publish a translation. Not paginated.

GET/shops/{shop_id}/blogs
Authorization
AuthorizationBearer token (JWT) · headerrequired
Path parameters
shop_idintegerrequired
Responses
200

Blogs list

403

Not allowed to see this shop's blogs

Try it
Server
Authorization
Parameters
Request
curl -s -H "Authorization: Bearer $BOLDER_TOKEN" \
  "https://api.onbolder.com/v2/shops/1/blogs"
Response
{
  "_class": [
    "results",
    "blogs"
  ],
  "total_items": 2,
  "_embedded": {
    "items": [
      {
        "id": 1,
        "shop_id": 1,
        "title": "Blog",
        "lang": "en",
        "base_path": "blog",
        "default": true
      },
      {
        "id": 2,
        "shop_id": 1,
        "title": "Blog en español",
        "lang": "es",
        "base_path": "blog-es",
        "default": false
      }
    ]
  }
}

Was this page helpful?